- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Properties

# QDataWidgetMapper Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qdatawidgetmapper.h.

`#include <qdatawidgetmapper.h>`

Inheritance diagram for QDataWidgetMapper:
[legend]

List of all members.

## Public Types
enum | SubmitPolicy { AutoSubmit, ManualSubmit }
## Public Slots
void | revert ()
bool | submit ()
void | toFirst ()
void | toLast ()
void | toNext ()
void | toPrevious ()
virtual void | setCurrentIndex (int index)
void | setCurrentModelIndex (const QModelIndex &index)
## Signals
void | currentIndexChanged (int index)
## Public Member Functions
| QDataWidgetMapper (QObject *parent=0)
| ~QDataWidgetMapper ()
void | setModel (QAbstractItemModel *model)
QAbstractItemModel * | model () const
void | setItemDelegate (QAbstractItemDelegate *delegate)
QAbstractItemDelegate * | itemDelegate () const
void | setRootIndex (const QModelIndex &index)
QModelIndex | rootIndex () const
void | setOrientation (Qt::Orientation aOrientation)
Qt::Orientation | orientation () const
void | setSubmitPolicy (SubmitPolicy policy)
SubmitPolicy | submitPolicy () const
void | addMapping (QWidget *widget, int section)
void | addMapping (QWidget *widget, int section, const QByteArray &propertyName)
void | removeMapping (QWidget *widget)
int | mappedSection (QWidget *widget) const
QByteArray | mappedPropertyName (QWidget *widget) const
QWidget * | mappedWidgetAt (int section) const
void | clearMapping ()
int | currentIndex () const
## Properties
int | currentIndex
Qt::Orientation | orientation
SubmitPolicy | submitPolicy

## Member Enumeration Documentation

enum SubmitPolicy

Search for all occurrences

Enumerator:

  AutoSubmit | Search for all occurrences
  ManualSubmit | Search for all occurrences

Definition at line 85 of file qdatawidgetmapper.h.

    { AutoSubmit, ManualSubmit };

## Constructor & Destructor Documentation

QDataWidgetMapper | ( | QObject * | parent = `0` | ) |

~QDataWidgetMapper | ( |  | ) |

## Member Function Documentation

void setModel | ( | QAbstractItemModel * | model | ) |

Search for all occurrences

QAbstractItemModel* model | ( |  | ) | const

Search for all occurrences

void setItemDelegate | ( | QAbstractItemDelegate * | delegate | ) |

Search for all occurrences

QAbstractItemDelegate* itemDelegate | ( |  | ) | const

Search for all occurrences

void setRootIndex | ( | const QModelIndex & | index | ) |

Search for all occurrences

QModelIndex rootIndex | ( |  | ) | const

Search for all occurrences

void setOrientation | ( | Qt::Orientation | aOrientation | ) |

Search for all occurrences

Qt::Orientation orientation | ( |  | ) | const

Search for all occurrences

void setSubmitPolicy | ( | SubmitPolicy | policy | ) |

Search for all occurrences

SubmitPolicy submitPolicy | ( |  | ) | const

Search for all occurrences

void addMapping | ( | QWidget * | widget,
|  | int | section
| ) |  |

Search for all occurrences

void addMapping | ( | QWidget * | widget,
|  | int | section,
|  | const QByteArray & | propertyName
| ) |  |

Search for all occurrences

void removeMapping | ( | QWidget * | widget | ) |

Search for all occurrences

int mappedSection | ( | QWidget * | widget | ) | const

Search for all occurrences

QByteArray mappedPropertyName | ( | QWidget * | widget | ) | const

Search for all occurrences

QWidget* mappedWidgetAt | ( | int | section | ) | const

Search for all occurrences

void clearMapping | ( |  | ) |

Search for all occurrences

int currentIndex | ( |  | ) | const

Search for all occurrences

void revert | ( |  | ) | `[slot]`

Search for all occurrences

bool submit | ( |  | ) | `[slot]`

Search for all occurrences

void toFirst | ( |  | ) | `[slot]`

Search for all occurrences

void toLast | ( |  | ) | `[slot]`

Search for all occurrences

void toNext | ( |  | ) | `[slot]`

Search for all occurrences

void toPrevious | ( |  | ) | `[slot]`

Search for all occurrences

virtual void setCurrentIndex | ( | int | index | ) | `[virtual, slot]`

Search for all occurrences

void setCurrentModelIndex | ( | const QModelIndex & | index | ) | `[slot]`

Search for all occurrences

void currentIndexChanged | ( | int | index | ) | `[signal]`

Search for all occurrences

## Property Documentation

int currentIndex `[read, write]`

Search for all occurrences

Definition at line 65 of file qdatawidgetmapper.h.

Qt::Orientation orientation `[read, write]`

Search for all occurrences

Definition at line 66 of file qdatawidgetmapper.h.

SubmitPolicy submitPolicy `[read, write]`

Search for all occurrences

Definition at line 67 of file qdatawidgetmapper.h.

The documentation for this class was generated from the following file:

- QtGui/qdatawidgetmapper.h

QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper
QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper QDataWidgetMapper